import { Session } from '@shopify/shopify-api';
import { SessionStorage, RdbmsSessionStorageOptions } from '@shopify/shopify-app-session-storage';
export interface SQLiteSessionStorageOptions extends RdbmsSessionStorageOptions {
}
export declare class SQLiteSessionStorage implements SessionStorage {
    private options;
    private db;
    private ready;
    private internalInit;
    private migrator;
    constructor(filename: string, opts?: Partial<SQLiteSessionStorageOptions>);
    storeSession(session: Session): Promise<boolean>;
    loadSession(id: string): Promise<Session | undefined>;
    deleteSession(id: string): Promise<boolean>;
    deleteSessions(ids: string[]): Promise<boolean>;
    findSessionsByShop(shop: string): Promise<Session[]>;
    private init;
    private databaseRowToSession;
    private initMigrator;
}
//# sourceMappingURL=sqlite.d.ts.map